> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/system/wisej.hybrid.modules.system.deviceplatform.md).

# DevicePlatform

Namespace: **Wisej.Hybrid.Modules.System**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Represents available device platforms.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DevicePlatform : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DevicePlatform As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name            | Description               |
| --------------- | ------------------------- |
| **Android**     | The Android platform.     |
| **iOS**         | The iOS platform.         |
| **MacCatalyst** | The MacCatalyst platform. |
| **macOS**       | The macOS platform.       |
| **Tizen**       | The Tizen platform.       |
| **tvOS**        | The tvOS platform.        |
| **Unknown**     | Unknown platform.         |
| **UWP**         | The UWP platform.         |
| **watchOS**     | The watchOS platform.     |
| **WinUI**       | The WinUI platform.       |

## Used By

| Name                                                                                            | Description                                             |
| ----------------------------------------------------------------------------------------------- | ------------------------------------------------------- |
| [DeviceSystemInfo.Platform](/hybrid/start/api/system/wisej.hybrid.devicesysteminfo.md#platform) | The name of the operating system running on the device. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/system/wisej.hybrid.modules.system.deviceplatform.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
